Skip to main content
`Ctrl`+`K`

# VecRestoreArrayWriteAndMemType

Restore array obtained with `VecGetArrayWriteAndMemType()`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayWriteAndMemType(Vec x, PetscScalar *a[])

Logically Collective; No Fortran Support

## Input Parameters

- x - the vector

- a - the array

## See Also

Vectors and Parallel Data, `Vec`, `VecGetArrayWriteAndMemType()`, `VecRestoreArrayAndMemType()`, `VecGetArray()`, `VecRestoreArray()`, `VecGetArrayPair()`, `VecRestoreArrayPair()`

## Level

beginner

## Location

src/vec/vec/interface/rvector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages